/*
  File:		MPInfoLib.h

  Contains:	Multitasking Information library header

  Version:	v0.000031415926

  Copyright:	 1999 by Apple Computer, Inc., all rights reserved.

*/

MPProcessID MPCurrentProcessID(void);

OSStatus MPGetNextProcessID(MPProcessID* process);

OSStatus MPGetNextQueueID(MPQueueID* queue);

OSStatus MPGetNextSemaphoreID(MPSemaphoreID* semaphore);

OSStatus MPGetNextEventID(MPSemaphoreID* event);

OSStatus MPGetNextNotificationID(MPNotificationID* note);

OSStatus MPGetNextTimerID(MPTimerID* timer);

OSStatus MPGetNextCriticalRegionID(MPCriticalRegionID* critrgn);

OSStatus MPGetNextCoherenceID(MPCoherenceID* coherence);

OSStatus MPGetNextAddressSpaceID(MPAddressSpaceID* space);


